if ( typeof(wappalyzer) != 'undefined' )
{
	wappalyzer.apps = {
		'phpBB':                 { html: /(Powered by (<a href=("|')[^>]+)?phpBB|<meta name=("|')copyright("|') [^>]+phpBB Group)/i },
		'WordPress':             { html: /(<link rel=("|')stylesheet("|') [^>]+wp-content|<meta name=("|')generator("|') [^>]+WordPress)/i },
		'MediaWiki':             { html: /(<meta name=("|')generator("|') [^>]+MediaWiki|<a[^>]+>Powered by MediaWiki<\/a>)/i },
		'Joomla':                { html: /(<meta name=("|')generator("|') [^>]+Joomla|<!\-\- JoomlaWorks "K2")/i, headers: { 'X-Content-Encoded-By': /Joomla/ } },
		'Drupal':                { html: /(<script [^>]+drupal\.js|jQuery\.extend\(Drupal\.settings, \{|Drupal\.extend\(\{ settings: \{|<link[^>]+sites\/(default|all)\/themes\/|<style.+sites\/(default|all)\/(themes|modules)\/)/i, headers: { 'X-Drupal-Cache': /.*/ } },
		'Kolibri CMS':           { html: /<meta name=("|')copyright("|') [^>]+Kolibri/i },
		'vBulletin':             { html: /<meta name=("|')generator("|') [^>]+vBulletin/i },
		'SMF':                   { html: /<script .+\s+var smf_/i },
		'IPB':                   { html: /<script [^>]+jscripts\/ips_/i },
		'Coppermine':            { html: /<!--Coppermine Photo Gallery/i },
		'MiniBB':                { html: /<a href=("|')[^>]+minibb.+\s+<!--End of copyright link/i },
		'punBB':                 { html: /Powered by <a href=("|')[^>]+punbb/i },
		'XMB':                   { html: /<!-- Powered by XMB/i },
		'YaBB':                  { html: /Powered by <a href=("|')[^>]+yabbforum/i },
		's9y':                   { html: /<meta name=("|')Powered-By("|') [^>]+Serendipity/i },
		'e107':                  { html: /<script [^>]+e107\.js/i },
		'PHP-Fusion':            { html: /Powered by <a href=("|')[^>]+php-fusion/i },
		'DokuWiki':              { html: /<meta name=("|')generator("|') [^>]+DokuWiki/i },
		'Squarespace':           { html: /Squarespace\.Constants\.CURRENT_MODULE_ID/i },
		'MyBB':                  { html: /(<script .+\s+<!--\s+lang\.no_new_posts|<a[^>]* title=("|')Powered By MyBB)/i },
		'FluxBB':                { html: /Powered by (<strong>)?<a href=("|')[^>]+fluxbb/i },
		'Vanilla':               { html: /<body id=("|')(DiscussionsPage|vanilla)/i, headers: { 'X-Powered-By': /Vanilla/ } },
		'TYPO3':                 { html: /(<meta name=("|')generator("|') [^>]+TYPO3|<(script[^>]* src|link[^>]* href)=[^>]*fileadmin)/i, url: /\/typo3/i },
		'Prestashop':            { html: /(<meta name=("|')generator("|') [^>]+PrestaShop|Powered by <a href=("|')[^>]+PrestaShop)/i },
		'Zen Cart':              { html: /<meta name=("|')generator("|') [^>]+Zen Cart/i },
		'osCommerce':            { html: /<!-- header_eof \/\/-->/i },
		'WikkaWiki':             { html: /(Powered by <a href=("|')[^>]+WikkaWiki|<meta name=("|')generator("|') [^>]+WikkaWiki)/i },
		'osCSS':                 { html: /<body onload=("|')window\.defaultStatus='oscss templates';("|')/i },
		'Google Analytics':      { html: /(\.google\-analytics\.com\/ga\.js|<script src=("|')[^"]+google-analytics\.com\/urchin\.js("|'))/i },
		'Crazy Egg':             { html: /<script type=("|')text\/javascript("|') src=("|')http:\/\/cetrk\.com\/pages\/scripts\/[0-9]+\/[0-9]+\.js("|')/ },
		'OneStat':               { html: /var p=("|')http("|')\+\(d\.URL\.indexOf\('https:'\)==0\?'s':''\)\+("|'):\/\/stat\.onestat\.com\/stat\.aspx\?tagver/i },
		'Clicky':                { html: /<script src=("|')http:\/\/static\.getclicky\.com/i },
		'Quantcast':             { html: /<script[^>]* src=("|')http:\/\/edge\.quantserve\.com\/quant\.js("|')>/i },
		'StatCounter':           { html: /<script[^>]* src=("|')http:\/\/www\.statcounter\.com\/counter\/counter/i },
		'W3Counter':             { html: /<script[^>]* src=("|')http:\/\/www\.w3counter\.com\/tracker\.js("|')>/i },
		'Site Meter':            { html: /<script[^>]* src=("|')http:\/\/[^.]+\.sitemeter.com\/js\/counter\.js\?site=/i },
		'CubeCart':              { html: /Powered by <a href=.http:\/\/www\.cubecart\.com/i },
		'jQuery':                { html: /<script[^>]* src=("|')[^>]*jquery[^>]*\.js/i },
		'MooTools':              { html: /<script[^>]* src=("|')[^>]*mootools[^>]*\.js("|')/i },
		'Prototype':             { html: /<script[^>]* src=("|')[^>]*prototype\.js("|')/i },
		'MochiKit':              { html: /<script[^>]* src=("|')[^>]*MochiKit\.js/i },
		'viennaCMS':             { html: /powered by <a href=("|')[^>]+viennacms/i },
		'Movable Type':          { html: /<meta name=("|')generator("|') [^>]+Movable Type/i },
		'Tumblr':                { html: /<iframe src=("|')http:\/\/www\.tumblr\.com/i, url: /^(www.)?.+\.tumblr\.com/i, headers: { 'X-Tumblr-Usec': /.*/ } },
		'Google Friend Connect': { html: /<script[^>]* src=("|')[^>]*google.com\/friendconnect/i },
		'MyBlogLog':             { html: /<script[^>]* src=("|')[^>]*pub\.mybloglog\.com/i },
		'Google Maps':           { html: /(<script[^>]* src=("|')[^>]*maps\.google\.com\/maps\?file=api|maps\.google\.com\/maps\/api\/staticmap)/i },
		'AWStats':               { html: /<meta name=("|')generator("|') [^>]+AWStats/i },
		'phpMyAdmin':            { html: /(var pma_absolute_uri = '|PMA_sendHeaderLocation\(|<title>phpMyAdmin<\/title>)/i },
		'phpDocumentor':         { html: /<!-- Generated by phpDocumentor/ },
		'BigDump':               { html: /<!-- <h1>BigDump: Staggered MySQL Dump Importer/ },
		'MODx':                  { html: /(<a[^>]+>Powered by MODx<\/a>|var el= \$\('modxhost'\);|<script type=("|')text\/javascript("|')>var MODX_MEDIA_PATH = "media";)/i },
		'VP-ASP':                { html: /(<a[^>]+>Powered By VP\-ASP Shopping Cart<\/a>|<script[^>]* src=("|')[^>]*vs350\.js)/ },
		'SPIP':                  { html: /<meta name=("|')generator("|') [^>]+SPIP/i, headers: { 'X-Spip-Cache': /.*/ } },
		'Plesk':                 { html: /<script[^>]* src=("|')[^>]*common\.js\?plesk/i },
		'Magento':               { html: /var BLANK_URL = '[^>]+js\/blank\.html'/i },
		'DirectAdmin':           { html: /<a[^>]+>DirectAdmin<\/a> Web Control Panel/i },
		'cPanel':                { html: /<!-- cPanel/i },
		'webEdition':            { html: /(<meta name=("|')generator("|') [^>]+webEdition|<meta name=("|')DC.title("|') [^>]+webEdition)/i },
		'CMS Made Simple':       { html: /<meta name=("|')generator("|') [^>]+CMS Made Simple/i },
		'xtCommerce':            { html: /(<meta name=("|')generator("|') [^>]+xt:Commerce|<div class=("|')copyright("|')>.+<a[^>]+>xt:Commerce)/i },
		'BIGACE':                { html: /(<meta name=("|')generator("|') [^>]+BIGACE|Powered by <a href=("|')[^>]+BIGACE|<!--\s+Site is running BIGACE)/i },
		'Ubercart':              { html: /<script[^>]* src=("|')[^>]*uc_cart\/uc_cart_block\.js/i },
		'Contao':                { html: /(<!--\s+This website is powered by (TYPOlight|Contao)|<link[^>]+(typolight|contao).css)/i },
		'posterous':             { html: /<div class=("|')posterous/i },
		'papaya CMS':            { html: /<link[^>]*\/papaya-themes\//i },
		'eZ Publish':            { html: /<meta name=("|')generator("|') [^>]+eZ Publish/i },
		'script.aculo.us':       { html: /<script[^>]* src=("|')[^>]*scriptaculous\.js("|')/i },
		'dojo':                  { html: /<script[^>]* src=("|')[^>]*dojo(\.xd)?\.js("|')/i },
		'ExtJS':                 { html: /<script[^>]* src=("|')[^>]*ext\-base\.js("|')/i },
		'WebPublisher':          { html: /<meta name=("|')generator("|') [^>]+WEB\|Publisher/i },
		'ConversionLab':         { html: /<script[^>]* src=("|')http:\/\/conversionlab\.trackset\.com\/track\/tsend\.js("|')/ },
		'Koego':                 { html: /<script[^>]* src=("|')http\:\/\/tracking\.koego\.com\/end\/ego\.js("|')/ },
		'YUI':                   { html: /<script[^>]* src=("|')[^'"]*(\/yui\/|yui\.yahooapis\.com)[^'"]*("|')/ },
		'VisualPath':            { html: /<script[^>]* src=("|')http:\/\/visualpath[^\/]*\.trackset\.it\/[^\/]+\/track\/include\.js("|')/ },
		'WebGUI':                { html: /<meta name=("|')generator("|') [^>]+WebGUI/i },
		'Plone':                 { html: /<meta name=("|')generator("|') [^>]+Plone/i },
		'CS Cart':               { html: /&nbsp;Powered by (<a href=.http:\/\/www\.cs\-cart\.com|CS\-Cart)/i },
		'Web Optimizer':         { html: /<title [^>]*lang=("|')wo("|')>/ },
		'K2':                    { html: /<!\-\- JoomlaWorks "K2"/ },
		'AddThis':               { html: /<script[^>]* src=("|')[^>]*addthis\.com\/js/ },
		'Koobi':                 { html: /<meta name=("|')generator("|') [^>]+Koobi/i },
		'XiTi':                  { html: /<[^>]+src=("|')[^>]+xiti.com\/hit.xiti/i },
		'Kampyle':               { html: /<script[^>]* src=("|')http:\/\/cf\.kampyle\.com\/k_button\.js("|')/ },
		'ClickTale':             { html: /if\(typeof ClickTale(Tag)*==("|')function("|')\)/ },
		'Yahoo! Web Analytics':  { html: /<script[^>]* src=("|')[^>]*http:\/\/d\.yimg\.com\/mi\/ywa\.js/ },
		'XOOPS':                 { html: /<meta name=("|')generator("|') [^>]+XOOPS/i },
		'Amiro.CMS':             { html: /<meta name=("|')generator("|') [^>]+Amiro/i },
		'Blogger':               { html: /<meta content=("|')blogger("|') [^>]+generator/i, url: /^(www.)?.+\.blogspot\.com/i },
		'DataLife Engine':       { html: /<meta name=("|')generator("|') [^>]+DataLife Engine/i },
		'Nedstat':               { html: /sitestat\(("|')http:\/\/nl\.sitestat\.com/ },
		'Microsoft ASP.NET':     { html: /<input[^>]+name=("|')__VIEWSTATE/ },
		'Yandex.Metrika':        { html: /<script[^>]* src=("|')[^"']+mc\.yandex\.ru\/metrika\/watch\.js("|')/ },
		'Snoobi':                { html: /<script[^>]* src=("|')[^"']+snoobi\.com\/snoop\.php/ },
		'Moogo':                 { html: /<script[^>]* src=("|')[^"']+kotisivukone.js/ },
		'Trac':                  { html: /(<a id=("|')tracpowered)/i },
		'MantisBT':              { html: /<img[^>]+ alt=("|')Powered by Mantis Bugtracker/i },
		'Bugzilla':              { html: /<[^>]+(id|title|name)=("|')bugzilla/i },
		'Redmine':               { html: /(<meta name=("|')description("|')Redmine("|')|Powered by <a href=("|')[^>]+Redmine)/i },
		'2z Project':            { html: /<meta name=("|')generator("|') [^>]+2z project/i },
		'Get Satisfaction':      { html: /var feedback_widget = new GSFN\.feedback_widget\(feedback_widget_options\)/ },
		'Swiftlet':              { html: /(<meta name=("|')generator("|') [^>]+Swiftlet|Powered by <a href=("|')[^>]+Swiftlet)/i, headers: { 'X-Swiftlet-Cache': /.*/, 'X-Powered-By': /Swiftlet/ } },
		'YouTube':               { html: /<(param|embed)[^>]+youtube\.com\/v/i },
		'Vimeo':                 { html: /<(param|embed)[^>]+vimeo\.com\/moogaloop/i },
		'blip.tv':               { html: /<(param|embed)[^>]+blip\.tv\/play/i },
		'SWFObject':             { html: /<script[^>]+swfobject\.js/i },
		'Textpattern CMS':       { html: /<meta name=("|')generator("|') [^>]+Textpattern/i },
		'1C-Bitrix':             { html: /(<link[^>]+components\/bitrix|<script[^>]+1c\-bitrix)/i },
		'InstantCMS':            { html: /<meta name=("|')generator("|') [^>]+InstantCMS/i },
		'MaxSite CMS':           { html: /<meta name=("|')generator("|') [^>]+MaxSite CMS/i },
		'S.Builder':             { html: /<meta name=("|')generator("|') [^>]+S\.Builder/i },
		'openEngine':            { html: /<meta[^>]+openEngine/i },
		'SiteEdit':              { html: /<meta name=("|')generator("|') [^>]+SiteEdit/i },
		'Kentico CMS':           { html: /<meta name=("|')generator("|') [^>]+Kentico CMS/i },
		'ShareThis':             { html: /<script[^>]+ src=("|')[^"']+w\.sharethis\.com\//i },
		'chartbeat':             { html: /function loadChartbeat\(\) {/i },
		'Meebo':                 { html: /(<iframe id=("|')meebo\-iframe("|')|Meebo\('domReady'\))/ },
		'Gravity Insights':      { html: /gravityInsightsParams\.site_guid = '/ },
		'Disqus':                { html: /(<div[^>]+id=("|')disqus_thread("|')|<script[^>]+disqus_url)/ },
		'reCAPTCHA':             { html: /(<div[^>]+id=("|')recaptcha_image|<script[^>]+ src=("|')https:\/\/api\-secure\.recaptcha\.net)/ },
		'DotNetNuke':            { html: /(<meta name=("|')generator("|') [^>]+DotNetNuke|<!\-\- by DotNetNuke Corporation)/i },
		'jQuery UI':             { html: /<script[^>]* src=("|')[^>]*jquery\-ui[^>]*\.js/i },
		'Typekit':               { html: /<script[^>]* src=("|')[^>]*use.typekit.com/i },
		'Mint':                  { html: /<script[^>]* src=("|')[^>]*mint\/\?js/i },
		'cufon':                 { html: /(<script[^>]* src=("|')[^>]*cufon\-yui\.js|<script[^>]*>[^<]+Cufon\.now\(\))/i },
		'sIFR':                  { html: /<script[^>]* src=("|')[^>]*sifr\.js/i },
		'Mollom':                { html: /(<script[^>]* src=("|')[^>]*mollom\.js|<img[^>]+\/.mollom\/.com)/i },
		'YUI Doc':               { html: /<html[^>]* yuilibrary\.com\/rdf\/[0-9.]+\/yui\.rdf/i },
		'Piwik':                 { html: /var piwikTracker = Piwik\.getTracker\(/i },
		'SOBI 2':                { html: /(<!\-\- start of Sigsiu Online Business Index|<div[^>]* class=("|')sobi2)/i },
		'DreamWeaver':           { html: /(<!\-\-[^>]*(InstanceBeginEditable|Dreamweaver[^>]+target|DWLayoutDefaultTable)|function MM_preloadImages\(\) {)/ },
		'FrontPage':             { html: /<meta name=("|')GENERATOR("|') [^>]+Microsoft FrontPage/i },
		'TypePad':               { html: /<meta name=("|')generator("|') [^>]+typepad/i, url: /^(www.)?.+\.typepad\.com/i },
		'LiveJournal':           { url: /^(www.)?.+\.livejournal\.com/i },
		'Vox':                   { url: /^(www.)?.+\.vox\.com/i },
		'xajax':                 { html: /<script[^>]* src=("|')[^>]*xajax_core\.js/i },
		'OpenCart':              { html: /(Powered By <a href=("|')[^>]+OpenCart|route = getURLVar\(("|')route)/i },
		'SQL Buddy':             { html: /(<title>SQL Buddy<\/title>|<[^>]+onclick=("|')sideMainClick\(("|')home\.php)/i },
		'phpPgAdmin':            { html: /(<title>phpPgAdmin<\/title>|<span class=("|')appname("|')>phpPgAdmin)/i },
		'Flyspray':              { html: /(<a[^>]+>Powered by Flyspray|<map id=("|')projectsearchform)/ },
		'swift.engine':          { headers: { 'X-Powered-By': /swift\.engine/ } },
		'sNews':                 { html: /<meta name=("|')Generator("|') [^>]+sNews/ },
		'Plura':                 { html: /<iframe src="http:\/\/pluraserver\.com/ },
		'comScore':              { html: /<iframe[^>]* (id=("|')comscore("|')|scr=[^>]+comscore)/ },
		'Google Font API':       { html: /<link[^>]* href=("|')http:\/\/fonts\.googleapis\.com/ },
		'CO2Stats':              { html: /src=("|')http:\/\/www\.co2stats\.com\/propres\.php/ },
		'Woopra':                { html: /<script[^>]* src=("|')[^>]*static\.woopra\.com/i },
		'Webtrekk':              { html: /var webtrekk = new Object/ },
		'Reinvigorate':          { html: /reinvigorate\.track\("/ },
		'Quick.Cart':            { html: /<a href="[^>]+opensolution\.org\/">Powered by/i },
		'VirtueMart':            { html: /<div id=("|')vmMainPage/ },
		'Cotonti':               { html: /<meta name=("|')generator("|') [^>]+Cotonti/i },
		'Mambo':                 { html: /<meta name=("|')generator("|') [^>]+Mambo/i },
		'Concrete5':             { html: /<meta name=("|')generator("|') [^>]+concrete5/i },
		'Webtrends':             { html: /<img[^>]+id=("|')DCSIMG("|')[^>]+webtrends/i }
		};
}
